Bug 1329136 (CVE-2016-4052, CVE-2016-4053, CVE-2016-4054, SQUID-2016:6) - CVE-2016-4052 CVE-2016-4053 CVE-2016-4054 squid: multiple issues in ESI processing
Summary: CVE-2016-4052 CVE-2016-4053 CVE-2016-4054 squid: multiple issues in ESI proce...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-4052, CVE-2016-4053, CVE-2016-4054, SQUID-2016:6
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160420,repor...
Depends On: 1329144 1330572 1330573 1330574 1330575 1330576 1330577
Blocks: 1329143
TreeView+ depends on / blocked
 
Reported: 2016-04-21 09:37 UTC by Andrej Nemec
Modified: 2019-06-08 21:08 UTC (History)
8 users (show)

Fixed In Version: squid 3.5.17, squid 4.0.9
Doc Type: Bug Fix
Doc Text:
Buffer overflow and input validation flaws were found in the way Squid processed ESI responses. If Squid was used as a reverse proxy, or for TLS/HTTPS interception, a remote attacker able to control ESI components on an HTTP server could use these flaws to crash Squid, disclose parts of the stack memory, or possibly execute arbitrary code as the user running Squid.
Clone Of:
Environment:
Last Closed: 2016-06-09 12:44:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1138 normal SHIPPED_LIVE Moderate: squid security update 2016-05-31 09:56:15 UTC
Red Hat Product Errata RHSA-2016:1139 normal SHIPPED_LIVE Moderate: squid security update 2016-05-31 09:42:41 UTC
Red Hat Product Errata RHSA-2016:1140 normal SHIPPED_LIVE Moderate: squid34 security update 2016-05-31 09:56:07 UTC

Description Andrej Nemec 2016-04-21 09:37:00 UTC
Due to buffer overflow issues Squid is vulnerable to a denial
of service attack when processing ESI responses.

Due to incorrect input validation Squid is vulnerable to public
information disclosure of the server stack layout when processing
ESI responses.

Due to incorrect input validation and buffer overflow Squid is
vulnerable to remote code execution when processing ESI
responses.

External references:

http://www.squid-cache.org/Advisories/SQUID-2016_6.txt

Upstream fix:

[RHEL-7]
http://www.squid-cache.org/Versions/v3/3.3/changesets/squid-3.3-12697.patch

[Fedora-22]
http://www.squid-cache.org/Versions/v3/3.4/changesets/squid-3.4-13235.patch

[Fedora-23]
http://www.squid-cache.org/Versions/v3/3.5/changesets/squid-3.5-14034.patch

Comment 1 Andrej Nemec 2016-04-21 09:47:23 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1329144]

Comment 2 Andrej Nemec 2016-04-21 10:01:38 UTC
CVE assignments:

http://seclists.org/oss-sec/2016/q2/120

Comment 11 errata-xmlrpc 2016-05-31 05:42:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1139 https://access.redhat.com/errata/RHSA-2016:1139

Comment 12 errata-xmlrpc 2016-05-31 05:56:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1140 https://access.redhat.com/errata/RHSA-2016:1140

Comment 13 errata-xmlrpc 2016-05-31 05:57:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1138 https://access.redhat.com/errata/RHSA-2016:1138

Comment 17 Fedora Update System 2016-07-12 20:27:55 UTC
squid-3.5.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-07-12 23:52:38 UTC
squid-3.5.10-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.